Name:           nde-image 
Version:        0.0.1
Release:        5.1%{?dist}
Summary:        The image viewer and screenshot tool for Nde
License:        GPLv2+
URL:            http://www.gd-linux.com
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  qt5-linguist
BuildRequires:  kf5-kwindowsystem-devel >= 5.5
BuildRequires:  nde-lib-devel >= 0.0.1
BuildRequires:  pkgconfig(libfm-qt) >= 0.14.0
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(libmenu-cache)
BuildRequires:  desktop-file-utils

BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kio-devel
# we place additional files in icons/hicolor
Requires:       hicolor-icon-theme

%description
A simple and fast image viewer.

%package l10n
Summary:       Translations for nde-image
Requires:      nde-image
%description l10n
This package provides translations for the nde-image package.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
    %{cmake_nde} -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

#for desktop in %{buildroot}/%{_datadir}/applications/*.desktop; do
#    # Exclude category as been Service
#    desktop-file-edit --remove-category=Nde --remove-only-show-in=Nde --add-only-show-in=X-Nde ${desktop}
#done

%find_lang nde-image --with-qt

%files
%license COPYING
%doc AUTHORS README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}

%files l10n -f nde-image.lang
%license COPYING
%doc AUTHORS README.md
%dir %{_datadir}/nde-image/translations

%changelog
* Sat Dec 28 2024 heleilei <he.leilei@gd-linux.com> - 0.0.1-5.1
- fix build error 

* Wed Jul 14 2021 Luo Junchao <luo.junchao.gd-linux.cn> - 0.0.1-5
- 添加依赖

* Mon Jun 22 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 0.0.1-4
- 更新版权声明

* Tue Jun 02 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.0.1-3
- 修改中文名称

* Mon Jun 01 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 0.0.1-2
- 更改应用名称

* Mon Jun 01 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
* Rename(984)

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
